commit 0f7b04a99fed8a71ad540354db1dc01d3c47bb4e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 17 16:28:49 2018 +0100

    Use package name in NEWS.

 NEWS | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f8ba60d45febcf9b9de2cf7ce3cf4597bd8dae51
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 17 13:52:40 2018 +0100

    Updated NEWS.

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 3ef5c8a4a380be7886a6dcabe6f07098f0bd3809
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 17 13:51:41 2018 +0100

    Prepared release.

 NEWS         | 2 +-
 README       | 3 +--
 configure.ac | 2 +-
 3 files changed, 3 insertions(+), 4 deletions(-)

commit 31e8b4791e7454d40d7cebad64de5cacbfe6664a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 17 13:28:29 2018 +0100

    Enable releasing.

 Jenkinsfile.FreeBSD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d31777a60ce6f1fffb460517add5cf7d4ab3adb3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 17 13:15:16 2018 +0100

    Feature/crl (#1)
    
    Require a CRL.

 doc/agentsmith.conf.man.in |   5 +
 example/agentsmith.conf.in |   5 +
 src/cfg.c                  | 651 +++++++++++++++++++++++----------------------
 src/cfg.h                  |   1 +
 src/network/Makefile.am    |   2 +-
 src/network/netssl.c       | 439 ++++++++++--------------------
 src/network/netssl.h       |   1 -
 src/network/sslutils.c     | 297 +++++++++++++++++++++
 src/network/sslutils.h     |  54 ++++
 9 files changed, 834 insertions(+), 621 deletions(-)

commit 0fe608e6c341bb5f4a37da6ed6e7df2035e55346
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Feb 15 14:20:06 2018 +0100

    Set version to 0.3-snapshot.

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 63ca08a9a290e20876c980cf053d9c4959527a9f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 20:00:26 2018 +0100

    Use %lli to print int64_t on OpenBSD.

 NEWS      | 12 +++++++++---
 src/cfg.c |  4 +++-
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 83bee4a246fb685c44e506f97a506165a10bbb1a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 19:52:25 2018 +0100

    Fixed call to syslog_r().

 src/output.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25a15f19cff2fa40d672ec72f5bd74257e66387c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 19:47:57 2018 +0100

    Added missing `;`

 src/output.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit bf9a8922b2479c71a0969982517d3dade1411102
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 19:42:15 2018 +0100

    Use syslog_r() where available. Use format string in *syslog() functions.

 configure.ac |  2 +-
 src/output.c | 46 +++++++++++++++++++++++++++++++++++++---------
 2 files changed, 38 insertions(+), 10 deletions(-)

commit 776480637f1b8ad72501550b5a5accfda702a2b1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 18:58:47 2018 +0100

    Conditional compilation of SSL code depending on version.

 src/network/netssl.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit e8ba74bbbeb41d35095389b6128ee6ee57c347dc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 18:49:13 2018 +0100

    Dropped all #warning

 src/follow.c                  | 12 ------------
 src/network/cli/clientqueue.c |  4 ----
 src/network/netshared.c       |  6 ------
 src/network/srv/server.c      |  3 ---
 src/output.c                  |  6 ------
 src/records.c                 |  4 ----
 src/sighandler.c              |  7 -------
 src/threads.c                 |  4 ----
 8 files changed, 46 deletions(-)

commit 03337e8c62914210368f01b429697993a08cf7fe
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 18:27:37 2018 +0100

    Set $(STDC_CFLAGS)

 src/network/cli/Makefile.am | 2 ++
 src/network/srv/Makefile.am | 2 ++
 2 files changed, 4 insertions(+)

commit 6373386623e4ded47399c4f1041e476ecea9708a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 18:24:07 2018 +0100

    Dropped cflow.

 src/Makefile.am             |  9 ---------
 src/network/Makefile.am     | 10 ----------
 src/network/cli/Makefile.am |  9 ---------
 src/network/srv/Makefile.am |  9 ---------
 4 files changed, 37 deletions(-)

commit 4828a691c434d8ff9900fa9ecc144a337d2d6bf0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 18:06:21 2018 +0100

    Fixed compiler warnings. Conditionally compile OpenSSL 1.0 code.

 configure.ac             |   4 +-
 src/cfg.c                |   9 +-
 src/main.c               |   2 +-
 src/network/cli/client.c |   9 +-
 src/network/netssl.c     |  26 ++++--
 src/network/srv/worker.c |  62 +------------
 src/records.c            |  28 +++++-
 src/threads.c            | 236 ++++++++++++++++++++++++-----------------------
 8 files changed, 177 insertions(+), 199 deletions(-)

commit 69c267fe6d80d6f19eb1abcacc6a94d7d79e62e1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 14:33:03 2018 +0100

    Updated ax_pthread.m4.

 m4/ax_pthread.m4 | 432 ++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 317 insertions(+), 115 deletions(-)

commit 867117db2f7e73131eff4a257f11fea61f2ee9db
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 13:16:00 2018 +0100

    Exclude nbproject.

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit b919aed0579ad7d884cef2357df657d667b9c343
Merge: e331a8d 1b48944
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 13:12:27 2018 +0100

    Merge branch 'development' of github.com:RafaelOstertag/agentsmith into development

commit e331a8d3a006c7bc37e7c98c7a4fbce88a926452
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Feb 14 13:06:27 2018 +0100

    Do not check for PCRE, OpenSSL and, pthread functions

 configure.ac | 16 ----------------
 1 file changed, 16 deletions(-)

commit 1b489444ae642435dd8b0577177c8297f235e196
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 19:56:40 2018 +0100

    Use `-std=c11` if supported.

 .gitignore                  |  1 +
 configure.ac                |  4 +++
 m4/ax_check_compile_flag.m4 | 74 +++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am             |  4 +++
 src/network/Makefile.am     |  4 +++
 tests/Makefile.am           |  2 ++
 6 files changed, 89 insertions(+)

commit 8254f570ff209ded93cd8d494c53bf8b34655071
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 18:55:18 2018 +0100

    Dropped building of docs which makes no sense with agentsmith.

 Jenkinsfile.FreeBSD | 1 -
 Jenkinsfile.Linux   | 1 -
 Jenkinsfile.NetBSD  | 1 -
 Jenkinsfile.OpenBSD | 1 -
 Jenkinsfile.Solaris | 1 -
 5 files changed, 5 deletions(-)

commit 8bcfa7392339dcecba50cfaee5e8864e7b084fc1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 17:09:05 2018 +0100

    Use functions available in OpenSSL 1.1 and 1.0 to test for OpenSSL availablility.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4396a3b2e06064bd713e8ee81f04084fa6baccfe
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 17:08:33 2018 +0100

    Added ChangeLog.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit ce838896f032682a5bd69e3d760a9d33fc61c483
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 16:11:39 2018 +0100

    Excluded files generated by autoreconf.

 .gitignore | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 29d5d72d58eddd9fadf313d251339cddcc1659df
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 16:09:51 2018 +0100

    Dropped ChangeLog from repo, will be generated from VCS.

 ChangeLog | 4 ----
 1 file changed, 4 deletions(-)

commit c4c2d59570de6945f3e903df7a35e251586c6e04
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 16:07:00 2018 +0100

    Added Jenkinsfiles for Solaris, Linux, NetBSD and OpenBSD.

 Jenkinsfile.Linux   | 16 ++++++++++++++++
 Jenkinsfile.NetBSD  | 16 ++++++++++++++++
 Jenkinsfile.OpenBSD | 16 ++++++++++++++++
 Jenkinsfile.Solaris | 16 ++++++++++++++++
 4 files changed, 64 insertions(+)

commit fa6fa61fc16ea4a6b50f7fa4bd06a7a9462069b8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 13:06:37 2018 +0100

    Added .gitignore.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 298d9853a5c418020cfd8af50be9a65ff569f572
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Feb 13 13:04:57 2018 +0100

    Added Jenkinsfile.FreeBSD.

 Jenkinsfile.FreeBSD | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 68d88b820a423d2b824ed5fab2fb7da30f906ea3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Nov 30 20:14:11 2012 +0000

    Reorganization

commit 7a64ca100649b5bd4411ae7d1429144c6debe9c0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Nov 30 20:08:56 2012 +0000

    Reorganization

commit 27829de050737365ad4fc253353dbf5eb58cb2d3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 9 18:28:23 2011 +0000

    Last touches before release.

 BUGS                          |  2 ++
 NEWS                          |  6 ++--
 README                        | 13 ++++---
 example/action.sh.iptables.in | 12 +++----
 example/action.sh.mail.in     | 16 ++++-----
 example/action.sh.pf.in       | 12 +++----
 example/agentsmith.conf.in    | 81 +++++++++++++++++++++----------------------
 example/agentsmith.xml.in     |  9 ++++-
 example/exclude.example.in    |  2 +-
 9 files changed, 82 insertions(+), 71 deletions(-)

commit c7262f431970d7c635347e6151da735b06f24a2a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Apr 9 18:27:55 2011 +0000

    Finished documentation.

 doc/agentsmith.conf.man.in    | 307 +++++++++++++++++++++++++++++++++---------
 doc/agentsmith.man.in         |  61 ++++++---
 doc/agentsmith_exclude.man.in |  48 ++++---
 3 files changed, 314 insertions(+), 102 deletions(-)

commit 833f0ade93c58be4576ef75cb3239c76408b69d2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Apr 5 17:31:37 2011 +0000

    Updated.

 doc/agentsmith.man.in | 60 +++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 28 deletions(-)

commit fa4560074c4979780d91d7609076a6b6a27a9bf9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 27 14:52:02 2011 +0000

    Updated.

 doc/agentsmith.man.in | 308 +++++++++++++++++++++++++++++++++-----------------
 1 file changed, 203 insertions(+), 105 deletions(-)

commit def872702afe361097e50548be61bf6c30ba12e0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 27 14:51:33 2011 +0000

    Fixed typo.

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3c234bff112464e83693b2927e0329965e6dd7e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 26 16:52:24 2011 +0000

    Fixed typo.

 src/network/cli/clientqueue.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eca22b4b598f3e38fade909a2149dab0c06ae23e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 20 10:00:23 2011 +0000

    updated.

 doc/agentsmith.man.in | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit d51724969a707285d6430c2dba8d77d7960c578b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 20 09:20:44 2011 +0000

    Added checks for OpenSSL functions. Some cleanup.

 configure.ac | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit 52edaf879597966a7e7a541ed766fd7949fc275c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 20 08:41:13 2011 +0000

    Removed redundant code for loading client certificate.

 src/network/netssl.c | 7 -------
 1 file changed, 7 deletions(-)

commit 04a19b9f42b3ff6f4cd6721f30a3b26f56df6a6a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 20 08:09:22 2011 +0000

    Updated.

 doc/agentsmith.man.in | 192 ++++++++++++++++++++++++++------------------------
 1 file changed, 101 insertions(+), 91 deletions(-)

commit b55e9663d4ed6a172141b19d66c7f2e825a58489
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 20 08:08:22 2011 +0000

    Updated.

 example/agentsmith.conf.in | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit 2840b69b1e702788f823ee70a83dd9e7244c8b46
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 19 19:05:05 2011 +0000

    Updated.

 BUGS                          |  4 +---
 INSTALL                       | 11 ++++++-----
 NEWS                          |  4 ++--
 README                        |  6 +++---
 example/action.sh.iptables.in | 14 ++++++++++----
 example/action.sh.mail.in     | 13 +++++++++----
 example/action.sh.pf.in       | 13 +++++++++----
 7 files changed, 40 insertions(+), 25 deletions(-)

commit b861859201b0ebf69cf47232cb37277c8796ac14
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 19 19:04:38 2011 +0000

    Added license files.

 LICENSE         |  25 +++++++++++
 LICENSE.OpenSSL | 127 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 152 insertions(+)

commit 58b7754f4f99f538930aedfa59b279a1fc948cbb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 19 15:40:22 2011 +0000

    Added manpath to the manpage elements.

 example/agentsmith.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9559a51f05014da217385816afa733362febdb0e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 19 12:00:01 2011 +0000

    pumped version to 0.2.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f716641f105926c8ef33f8c1500fc3ab3e5bacfe
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Mar 17 19:20:24 2011 +0000

    Added license exception for OpenSSL.

 Makefile.am                   |  2 +-
 README                        |  2 +-
 src/cfg.c                     | 12 ++++++++++++
 src/cfg.h                     | 14 +++++++++++++-
 src/exclude.c                 | 14 +++++++++++++-
 src/exclude.h                 | 12 ++++++++++++
 src/follow.c                  | 12 ++++++++++++
 src/follow.h                  | 14 +++++++++++++-
 src/globals.h                 | 14 +++++++++++++-
 src/main.c                    | 18 +++++++++++++++---
 src/network/cli/client.c      | 12 ++++++++++++
 src/network/cli/client.h      | 12 ++++++++++++
 src/network/cli/clientqueue.c | 12 ++++++++++++
 src/network/cli/clientqueue.h | 12 ++++++++++++
 src/network/netshared.c       | 12 ++++++++++++
 src/network/netshared.h       | 12 ++++++++++++
 src/network/netssl.c          | 14 +++++++++++++-
 src/network/netssl.h          | 14 +++++++++++++-
 src/network/srv/server.c      | 14 +++++++++++++-
 src/network/srv/server.h      | 12 ++++++++++++
 src/network/srv/worker.c      | 15 +++++++++++++--
 src/network/srv/worker.h      | 12 ++++++++++++
 src/output.c                  | 14 +++++++++++++-
 src/output.h                  | 14 +++++++++++++-
 src/records.c                 | 12 ++++++++++++
 src/records.h                 | 14 +++++++++++++-
 src/regex.c                   | 12 ++++++++++++
 src/regex.h                   | 14 +++++++++++++-
 src/sighandler.c              | 14 +++++++++++++-
 src/sighandler.h              | 14 +++++++++++++-
 src/threads.c                 | 14 +++++++++++++-
 src/threads.h                 | 14 +++++++++++++-
 32 files changed, 381 insertions(+), 22 deletions(-)

commit d6f69bff27d46ac3f62af83c8a1d9ae43e65f29a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 13 19:16:25 2011 +0000

    Some documentation.

 doc/agentsmith.conf.man.in    | 39 +++++++++++++++++++++++----------------
 doc/agentsmith_exclude.man.in |  6 +++---
 example/agentsmith.conf.in    | 29 +++++++++++++++++------------
 3 files changed, 43 insertions(+), 31 deletions(-)

commit 9719655cabee84314bd4ecfa23e26c22c656cf2b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 13 11:31:29 2011 +0000

    Added SSL options.

 example/agentsmith.conf.in | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit c1375bf9bc994917a057b213e1908604d8a885d8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 13 11:18:45 2011 +0000

    Added malloc.c.

 src/Makefile.am | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit e9937993663253bf25a974acbedae3837f6d1b8f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 13 11:18:08 2011 +0000

    Replacement functions for malloc() and realloc().

 src/malloc.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit d5f8b5a2d24c1d7593b1cac232d370464261249d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 13 00:35:35 2011 +0000

    AC_CHECK_LIB replaced by AC_SEARCH_LIBS. Check for libssl now includes also
    libcrypto to make it work on OpenBSD.

 configure.ac | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit ededda6a5cdbc6baf056e4299a9b9ad61ed35017
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 22:04:50 2011 +0000

    Fixes to silence gcc -pedantic -Wall

 src/cfg.c                     | 8 ++++----
 src/network/cli/clientqueue.c | 7 +++----
 src/network/netshared.c       | 2 +-
 src/network/netssl.c          | 1 -
 src/network/srv/worker.c      | 2 ++
 5 files changed, 10 insertions(+), 10 deletions(-)

commit 66ab6492db21f032c878fc5b92eb389bb7e3b72e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:45:33 2011 +0000

    Removed comma at end of enum list.

 src/cfg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00f11636511cd0aec945876b58636d2f26d58f20
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:44:35 2011 +0000

    Code beautification.

 tests/records6.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 535a280f0e86a88507c34a39afa30b0aeb162a76
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:43:57 2011 +0000

    Using nanosleep().

 tests/records6.c | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

commit 7997dfa97cec5babaf58e3b8880484686d3837d7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:43:23 2011 +0000

    Changes for making SSL work and other fixes.

 src/Makefile.am  |  9 +++++++
 src/cfg.c        | 24 +++++++++++++-----
 src/cfg.h        |  7 +++++-
 src/exclude.h    |  1 +
 src/follow.c     | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/follow.h     |  1 +
 src/globals.h    |  1 +
 src/main.c       | 11 +++++++--
 src/output.h     |  1 +
 src/regex.h      |  1 +
 src/sighandler.h |  1 +
 src/threads.c    | 45 +++++++++++++++++++++++++++++++---
 src/threads.h    |  2 ++
 13 files changed, 161 insertions(+), 17 deletions(-)

commit c17f91944f98d83736b0a6abe1e77a315668ec69
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:42:48 2011 +0000

    Added cflow support.

 src/network/Makefile.am     | 9 +++++++++
 src/network/cli/Makefile.am | 9 +++++++++
 src/network/srv/Makefile.am | 9 +++++++++
 3 files changed, 27 insertions(+)

commit 8449770a325cfc0f51d23a97c7040469a9a5f9cb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:41:38 2011 +0000

    Added SSL.

 src/network/cli/client.c      |  8 +++-
 src/network/cli/clientqueue.c | 99 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 102 insertions(+), 5 deletions(-)

commit 8865258734294621dd38967bd3149fcfc50eada8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 12 21:41:25 2011 +0000

    Added SSL. Timeout is now entierly implemented using select().

 src/network/netshared.c  |   3 +
 src/network/netssl.c     | 553 +++++++++++++++++++++++++++++++++++++----------
 src/network/netssl.h     |  10 +-
 src/network/srv/server.c |  63 +++---
 src/network/srv/worker.c | 182 +++++++++++++---
 5 files changed, 627 insertions(+), 184 deletions(-)

commit f8e29df8be6584a3957a41ae691b91ca686fd5e7
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Mar 8 20:25:48 2011 +0000

    Added the rest of the SSL options. Added some more sanity checks.

 src/cfg.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 10de3bf6c170898d091dcea07fe6c7d44a22c2be
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:49:47 2011 +0000

    Indent profile.

 indent.pro | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 6a9f965753e2882afb80a501079c39bc7f1ae614
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:46:23 2011 +0000

    rephrasing.

 doc/agentsmith_exclude.man.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f364b69cb2969538b74addc2e101537d537dbe00
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:21:41 2011 +0000

    Added some comments.

 src/follow.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 592666364d7c301a440d6fc25afcd3ef516b3117
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Mar 7 20:08:52 2011 +0000

    Removed some if's and added assert()'s instead.

 src/records.c | 40 +++-------------------------------------
 1 file changed, 3 insertions(+), 37 deletions(-)

commit e630c82f79e418f69c92cd99662f2f047fc59f61
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 6 22:25:15 2011 +0000

    Processed by indent.

 src/cfg.c                     | 537 +++++++++++++++++++++++-------------------
 src/cfg.h                     |  58 ++---
 src/exclude.c                 | 406 +++++++++++++++++--------------
 src/exclude.h                 |  38 +--
 src/follow.c                  | 125 ++++++----
 src/globals.h                 |  27 ++-
 src/main.c                    | 148 +++++++-----
 src/network/cli/client.c      |  78 +++---
 src/network/cli/client.h      |   3 +-
 src/network/cli/clientqueue.c | 264 ++++++++++++---------
 src/network/cli/clientqueue.h |  31 +--
 src/network/netshared.c       | 200 ++++++++--------
 src/network/netshared.h       |  16 +-
 src/network/srv/server.c      | 232 +++++++++++-------
 src/network/srv/server.h      |   3 +-
 src/network/srv/worker.c      | 236 ++++++++++---------
 src/network/srv/worker.h      |   9 +-
 src/output.c                  |  35 +--
 src/output.h                  |   3 +-
 src/records.c                 | 344 +++++++++++++++------------
 src/records.h                 |  76 +++---
 src/regex.c                   |  75 +++---
 src/regex.h                   |   2 +-
 src/sighandler.c              | 199 ++++++++--------
 src/threads.c                 | 108 +++++----
 tests/exclude1.c              | 129 +++++-----
 tests/records1.c              |  16 +-
 tests/records2.c              |  23 +-
 tests/records3.c              |  36 +--
 tests/records4.c              |  55 +++--
 tests/records5.c              |  61 +++--
 tests/records6.c              |  61 ++---
 tests/records7.c              |  24 +-
 33 files changed, 2040 insertions(+), 1618 deletions(-)

commit 293e077c2f884e9a186a17f10ed9f69de76d796a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 6 20:44:08 2011 +0000

    Replaced %i by %li in thread id output. Some comments.

 src/network/srv/server.c | 14 ++++++----
 src/network/srv/worker.c | 67 +++++++++++++++++++++++++++++++-----------------
 2 files changed, 52 insertions(+), 29 deletions(-)

commit 6f554653a5af6d75c8b867029eb55490d9a3adfd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 6 20:43:05 2011 +0000

    Commented code out, to make it compile.

 src/network/netssl.c | 147 ++++++++++++++++++++++++++++++++++++++-------------
 src/network/netssl.h |   5 ++
 2 files changed, 116 insertions(+), 36 deletions(-)

commit baf97a82e5f8fef62b7647a12e082308d18d0220
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 6 20:41:46 2011 +0000

    Replaced %i by %li in thread id output. Thread cleanup does now unlock mutex if locked.

 src/network/cli/clientqueue.c | 84 ++++++++++++++++++++++++++-----------------
 1 file changed, 52 insertions(+), 32 deletions(-)

commit 78e3b8d339c35165dcd9babadd140726353d7327
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Mar 6 08:44:31 2011 +0000

    Added m4 macros.

 Makefile.boot           |   4 +-
 m4/ax_check_sunpro_c.m4 |  47 ++++++++
 m4/ax_pthread.m4        | 283 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 332 insertions(+), 2 deletions(-)

commit e6a813d9cd1f8bb825bd3e2fd34399b15ffb3fba
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 5 20:35:23 2011 +0000

    Removed the -I option again.

 Makefile.boot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fd2ede3a3938e2db5d1a8bdde52a589b818171a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 5 20:31:35 2011 +0000

    Added -I option to aclocal

 Makefile.boot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d3181c1e469edd39ec2d83ab5f09030761640ae
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Mar 5 20:20:23 2011 +0000

    Added client/server code.

 Makefile.boot                 |   2 +-
 NEWS                          |   5 +-
 configure.ac                  |  65 ++++++-
 doc/Makefile.am               |   2 +-
 example/agentsmith.conf.in    |  90 ++++++++-
 src/Makefile.am               |   5 +-
 src/cfg.c                     | 415 +++++++++++++++++++++++++++++++++++-----
 src/cfg.h                     |  56 +++++-
 src/exclude.c                 |  79 ++++----
 src/globals.h                 |  17 +-
 src/main.c                    |  47 +++--
 src/network/Makefile.am       |  13 ++
 src/network/cli/Makefile.am   |  12 ++
 src/network/cli/client.c      | 174 +++++++++++++++++
 src/network/cli/client.h      |  36 ++++
 src/network/cli/clientqueue.c | 431 ++++++++++++++++++++++++++++++++++++++++++
 src/network/cli/clientqueue.h |  67 +++++++
 src/network/netshared.c       | 332 ++++++++++++++++++++++++++++++++
 src/network/netshared.h       |  66 +++++++
 src/network/netssl.c          |  97 ++++++++++
 src/network/netssl.h          |  32 ++++
 src/network/srv/Makefile.am   |  12 ++
 src/network/srv/server.c      | 383 +++++++++++++++++++++++++++++++++++++
 src/network/srv/server.h      |  36 ++++
 src/network/srv/worker.c      | 237 +++++++++++++++++++++++
 src/network/srv/worker.h      |  33 ++++
 src/output.c                  |  18 +-
 src/output.h                  |   8 +-
 src/records.c                 | 190 +++++++++++++------
 src/records.h                 |  58 ++++--
 src/regex.c                   |  17 +-
 src/sighandler.c              |  34 ++--
 src/threads.c                 | 112 +++++++----
 tests/records1.c              |   2 +-
 tests/records2.c              |   2 +-
 tests/records3.c              |   4 +-
 tests/records4.c              |   8 +-
 tests/records5.c              |  13 +-
 tests/records6.c              |   7 +-
 tests/records7.c              |  16 +-
 40 files changed, 2947 insertions(+), 286 deletions(-)

commit 4ab4c05de9399693dd23c5849c405a516e18b6ce
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 13 18:59:25 2011 +0000

    Started documenting.

 doc/agentsmith_exclude.man.in | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit a28aafc817a95b12170f4ae11f0bbac6660f1b62
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 13 18:58:09 2011 +0000

    Fixed make rule.

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ecf6f87b012678129b9dc5a4a782d5eacda5e51
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 13 11:17:51 2011 +0000

    Added man page for exclude file.

 doc/Makefile.am               |  7 +++++--
 doc/agentsmith_exclude.man.in | 45 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 2 deletions(-)

commit f00db4347ad877837a11c1f85b6a265b7d45b2a5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sat Feb 12 17:31:57 2011 +0000

    Updates and formating.

 doc/agentsmith.conf.man.in |  40 +++++++----
 doc/agentsmith.man.in      | 163 ++++++++++++++++++++++++---------------------
 2 files changed, 116 insertions(+), 87 deletions(-)

commit a469be991eb3a10c5c56700c86d1e65cfd71798e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 18:08:16 2011 +0000

    Updated

 doc/agentsmith.man.in | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 495e4c91ecf74d69c431e01e5f8faa45928df588
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 18:07:50 2011 +0000

    Improved.

 configure.ac | 35 ++++++++++-------------------------
 1 file changed, 10 insertions(+), 25 deletions(-)

commit 12a4abdd2c18e9d71583a41f26d63f4f424ba08f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 18:07:18 2011 +0000

    Made it build under gcc.

 src/exclude.c    | 19 ++++++++++++-------
 src/exclude.h    | 13 +++++++++----
 tests/exclude1.c | 10 +++++-----
 3 files changed, 26 insertions(+), 16 deletions(-)

commit 303ebcc51668c75849b40e48a12f81f967f796b3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 14:48:05 2011 +0000

    updated output.

 tests/records6.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 32417d657c75aea533fd18f2e0624f5bbd421e1e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 14:21:28 2011 +0000

    Updated.

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit b4518e09e8b7bf81d17a8e2f11c02408549a069f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 14:21:14 2011 +0000

    Formated.

 README | 1 +
 1 file changed, 1 insertion(+)

commit 8f8a46c6d814bbff38258fee7a424ad2eea47397
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 14:11:43 2011 +0000

    Enumeration of host records can now happen in two modes: synchronous and asynchronous.

 src/records.c    | 124 ++++++++++++++++++++++++++++++++++++++++---------------
 src/records.h    |  12 +++++-
 src/sighandler.c |   4 +-
 src/threads.c    |   2 +-
 tests/records5.c |   4 +-
 tests/records6.c |   2 +-
 6 files changed, 108 insertions(+), 40 deletions(-)

commit f17f6658db5ecd6986cf64c1be3b67ce112d9ef8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 13:13:50 2011 +0000

    whitespace cleanup.

 src/exclude.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 496c565a7078e3a9f61c89e3e40f32f9aaf72148
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:56:53 2011 +0000

    Commented code.

 src/follow.c | 3 +++
 1 file changed, 3 insertions(+)

commit b13eff7cf12af390356cbb54a34a31c63bbe358c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:54:42 2011 +0000

    Updated svn:ignore.

commit 04ff0956fe302e515d75ccaee1a059d1a13a6ffc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:53:42 2011 +0000

    Added stuff necessary for the IP exclusion to work.

 src/main.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 175cd3bf3e12c8a0a8ea2abe3a722cf013ea5a55
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:53:02 2011 +0000

    Added assert()'s. Added signal handler for HUP allowing to re-read exclusion files.

 src/sighandler.c | 43 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 38 insertions(+), 5 deletions(-)

commit 749fdbeeb10e3302dc507fffd414866b16efbf62
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:52:06 2011 +0000

    Moved an assert() statement.

 src/threads.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebcfc4f3cd2fc82d58d3c447717277e79c321961
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:51:34 2011 +0000

    Added exclude.[ch]

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39293573e1d3ea455e5d792c0f73ee7bd37976e1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:51:08 2011 +0000

    Check added whether an ip address is excluded.

 src/regex.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 88c9d40810a4baa538d3236de487a4bbdf1541d0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:50:14 2011 +0000

    Edited comments.

 src/follow.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 718c6c000a43f82152f40719424756e9d8abed23
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:49:31 2011 +0000

    Fixed comment in order to be included in doxygen.

 src/records.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41f424f35c60a52407a97db695703e658a123bbb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:48:35 2011 +0000

    Added checks related to the IP exclusion routines.

 configure.ac | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 69 insertions(+), 5 deletions(-)

commit de36207a5e946ef441b8a6879a3a4cbf180cf7cc
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:48:02 2011 +0000

    Added support for IP exclusion list.

 src/cfg.c | 8 +++++++-
 src/cfg.h | 1 +
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 33ce2ca298ebc075fba6f60e2dc63a3cb9abd26b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:47:22 2011 +0000

    Added stuff concerning IP exclusion.

 example/Makefile.am        |  9 ++++++---
 example/agentsmith.conf.in |  8 +++++++-
 example/exclude.example.in | 20 ++++++++++++++++++++
 3 files changed, 33 insertions(+), 4 deletions(-)

commit 2fd5b9e3110c55317aaeb1d2ecdba67185221bcf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:46:37 2011 +0000

    Test for the IP exclude list.

 tests/Makefile.am |   7 +--
 tests/exclude1.c  | 157 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 161 insertions(+), 3 deletions(-)

commit 0e9ea0eef5947cc3d1a20c2609baa0cd3318ce5b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Feb 6 12:45:58 2011 +0000

    The IP exclude list routines.

 src/exclude.c | 735 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/exclude.h |  72 ++++++
 2 files changed, 807 insertions(+)

commit d96cd2459117ef5f4fa466b691c04de020da598d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 30 15:54:10 2011 +0000

    fixed runaway comment.

 src/cfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 824de24c4f6af6921252a763926c54f9a7d959a4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jan 30 10:14:27 2011 +0000

    fixed typo.

 src/records.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 067e33920ea500ad55f6ce24cbda7f2a81bec4bf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jun 18 10:18:35 2010 +0000

    whitespace-cleanup

 src/cfg.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dca4b98d35474d4b52efe117a344a93c90ee4c72
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Fri Jun 18 10:11:49 2010 +0000

    added some comments.

 src/cfg.c | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit f12465fc3d32efc02d554cccb0a14eef80c92500
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 13:08:40 2010 +0000

    Last minute fix of missing strsep() function on Solaris 10. Error message will
    be shown if a configuration option is not available.

 src/cfg.c | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit bda0b73b6738aa1f52b26837cabd5f6c825e78e3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 11:25:05 2010 +0000

    Updated.

 ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit eb9a9f53900dc378296308e07c8e41f97ba818d4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 10:59:55 2010 +0000

    typo

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b047217d1eb377f9702102a99b468a908eb874f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 10:54:48 2010 +0000

    Fixed typo

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd328ff39d652e314280927752d335b7b2892a22
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:51:35 2010 +0000

    Renamed project to agentsmith

 BUGS                          |  2 +-
 INSTALL                       |  6 +++---
 README                        | 16 ++++++++--------
 configure.ac                  | 10 +++++-----
 doc/Makefile.am               | 18 +++++++++---------
 example/Makefile.am           | 26 +++++++++++++-------------
 example/action.sh.iptables.in |  4 ++--
 example/action.sh.mail.in     |  8 ++++----
 example/action.sh.pf.in       |  4 ++--
 example/agentsmith.conf.in    |  2 +-
 example/agentsmith.xml.in     |  4 ++--
 src/Makefile.am               |  4 ++--
 src/cfg.c                     |  8 ++++----
 src/cfg.h                     |  8 ++++----
 src/follow.c                  |  8 ++++----
 src/follow.h                  |  8 ++++----
 src/globals.h                 |  8 ++++----
 src/main.c                    | 12 ++++++------
 src/output.c                  |  8 ++++----
 src/output.h                  |  8 ++++----
 src/records.c                 |  8 ++++----
 src/records.h                 |  8 ++++----
 src/regex.c                   |  8 ++++----
 src/regex.h                   |  8 ++++----
 src/sighandler.c              |  8 ++++----
 src/sighandler.h              |  8 ++++----
 src/threads.c                 |  8 ++++----
 src/threads.h                 |  8 ++++----
 28 files changed, 118 insertions(+), 118 deletions(-)

commit 4aecaae768d8c2ed741f6e9aa050ca3f227094dd
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:29:15 2010 +0000

    Renamed files to match project name.

 doc/{sshsentinel.conf.man.in => agentsmith.conf.man.in} | 0
 doc/{sshsentinel.man.in => agentsmith.man.in}           | 0
 example/{sshsentinel.conf.in => agentsmith.conf.in}     | 0
 example/{sshsentinel.in => agentsmith.in}               | 0
 example/{sshsentinel.xml.in => agentsmith.xml.in}       | 0
 5 files changed, 0 insertions(+), 0 deletions(-)

commit c5f40a5e19b0adcd519c8dd6b46757a90769b284
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:23:49 2010 +0000

    Renamed project to agentsmith

commit 5fad7db63d3737362ae95c2843fd9c3670141d81
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:03:11 2010 +0000

    Added example action scripts for PF and iptables.

 example/Makefile.am           | 19 +++++++++++------
 example/action.sh.iptables.in | 49 +++++++++++++++++++++++++++++++++++++++++++
 example/action.sh.mail.in     | 22 +++++++++++--------
 example/action.sh.pf.in       | 47 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 122 insertions(+), 15 deletions(-)

commit af7ee0274f1a63fc125a618ab79b4a8ae9b176d0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:02:33 2010 +0000

    Updated.

 Makefile.boot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea4407c9b6972450452feb66508962b63ea3c413
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 09:02:19 2010 +0000

    Updated.

 README | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit fbfc19b2afdc2a9811874583fa95e230a7e02906
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 08:23:16 2010 +0000

    Moved to a more proper name

 example/{action.sh.in => action.sh.mail.in} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 8e52767c4b006005edd09e4512bcd2224e0cac51
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 07:32:52 2010 +0000

    Signal handler for USR1 and USR2 now explicitely log why they are doing their
    job. Make things clearer in the log.

 src/sighandler.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit edc8d893565b0479204ec19404b434c4349b3993
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Wed Jun 16 06:55:08 2010 +0000

    Updated comments

 example/sshsentinel.conf.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 16342b9e90ffd8218f9dd194a12eba489cb0b843
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 20:23:10 2010 +0000

    Wording.

 example/sshsentinel.conf.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79a3cde304c6ab19f7e5a1f0d63da50f13b5b9a9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 20:08:09 2010 +0000

    Fixed formatting.

 doc/sshsentinel.conf.man.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b3c9e4d612fcfd60f771671c6b237b29c4e4462d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 20:06:49 2010 +0000

    Fixed formatting

 doc/sshsentinel.man.in | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 392c8f669335a90386b5d0688fe5ca9a52c04122
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 19:20:41 2010 +0000

    Added default values.

 src/cfg.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 52b71cf9da674600156980224840308dcd7e207d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 19:20:04 2010 +0000

    Fixed spelling

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fe0729c9d0431abcbc4cc7a797f4f328b56f392
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 19:19:41 2010 +0000

    Wrote manpages.

 doc/sshsentinel.conf.man.in | 136 ++++++++++++++++++++++++++++++++
 doc/sshsentinel.man.in      | 183 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 319 insertions(+)

commit c41f87d11ca03fb6be96b446eedd289f0a3501d1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 19:19:26 2010 +0000

    Updated to take manpages into account.

 doc/Makefile.am | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 69954b21c94752f43fd827e260f5a68ea2137400
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 15:56:21 2010 +0000

    installation file.

 INSTALL | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 39e066c2c1829b47b33e49856abc00be04069883
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 15:55:55 2010 +0000

    added more information.

 README | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit 2e6e18c36c1d723ff4bb398632cbc3ce5860fdb9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 15:33:24 2010 +0000

    if an error occurs in readtoeof(), the thread will be suspended for err_sleep_time.

 src/follow.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2fb8e189834a9a7aadb163f83ab0893cc7dd966c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 12:00:41 2010 +0000

    Added conditional used for installing man pages.

 configure.ac    | 16 +++++++++-------
 doc/Makefile.am | 16 ++++++++++++----
 2 files changed, 21 insertions(+), 11 deletions(-)

commit b57adfb9bce367e162f4dcdb8e429f3bd9a25f50
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 11:12:47 2010 +0000

    Makefile.in is now dependend on configure.

 Makefile.boot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67d099bbfd5aa9740e5c97ac9aa344e58ed94f96
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:31:46 2010 +0000

    Fixed the license text.

 src/cfg.c        | 10 +++++-----
 src/cfg.h        | 10 +++++-----
 src/follow.c     | 10 +++++-----
 src/follow.h     | 10 +++++-----
 src/globals.h    | 10 +++++-----
 src/main.c       | 14 +++++++-------
 src/output.c     | 10 +++++-----
 src/output.h     | 10 +++++-----
 src/records.c    | 10 +++++-----
 src/records.h    | 10 +++++-----
 src/regex.c      | 10 +++++-----
 src/regex.h      | 10 +++++-----
 src/sighandler.c | 10 +++++-----
 src/sighandler.h | 10 +++++-----
 src/threads.c    | 10 +++++-----
 src/threads.h    | 10 +++++-----
 16 files changed, 82 insertions(+), 82 deletions(-)

commit 606817e2957c9c79003c3971f8e6789c9e222193
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:26:54 2010 +0000

    Prints version upon successful startup.

 src/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ad031407cdbb1f0d6f7df87a6e89c81d0d0ba18
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:08:23 2010 +0000

    Added doc dir. Added INSTALL.generic to EXTRA_DIST.

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1d14e4c8592eff5a5abeffb4c8431e0dd98ba3cf
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:07:33 2010 +0000

    Added regexp for sendmail.

 example/sshsentinel.conf.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b7d239287b722921b149a80c009e7d3174144d7e
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:06:40 2010 +0000

    Added doc directory and automake file.

 doc/Makefile.am | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit eff1b3297400a20f4a59bdd9fff4121a0433ba28
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 07:04:43 2010 +0000

    Added comments. Fixed threads_records_callback_action_removal() to only call the action for host records that were processed, i.e. the action was executed for them.

 src/threads.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit b0afa6588cc3b48be17194a4e4380450447634e1
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 06:22:18 2010 +0000

    Added comments for explaining how the action script is called. This is due to the fact that the action script gets called twice, first if the host appears, second if the host record is purged from memory.

 example/action.sh.in        | 44 ++++++++++++++++++++++++++++++++++++++++----
 example/sshsentinel.conf.in |  3 ++-
 2 files changed, 42 insertions(+), 5 deletions(-)

commit 5b8b92f2a175294d81752b18b8aff26c95ccceeb
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 06:21:00 2010 +0000

    autoheader is now forced to write the config.h.in

 Makefile.boot | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 70723c45717f0e58e52dd9d8c83e088136fa46ef
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 06:19:52 2010 +0000

    The records_maintenance() and records_destroy() functions now call a callback handler in order to allow the application to call the action script and let it do cleanup actions if necessar, e.g. let it remove firewall rules.

 src/main.c       |  2 +-
 src/records.c    | 19 +++++++++++-----
 src/records.h    | 16 +++++++++++---
 src/sighandler.c |  4 ++--
 src/threads.c    | 67 ++++++++++++++++++++++++++++++++++++++++++++++++++------
 src/threads.h    |  6 +++++
 tests/records1.c |  2 +-
 tests/records2.c |  2 +-
 tests/records3.c |  2 +-
 tests/records4.c |  4 ++--
 tests/records5.c |  4 ++--
 tests/records6.c |  2 +-
 tests/records7.c |  9 +++++---
 13 files changed, 110 insertions(+), 29 deletions(-)

commit 3058c3bf477a20445be8e2aaa266e292ea8513a6
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 06:17:57 2010 +0000

    Fixed the regexp string in order to stop the compiler complaining from dubious
    escape sequences

 src/cfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ccbfa8e8dce1f1908860abf7485c8e060df6246
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Tue Jun 15 05:36:12 2010 +0000

    updated comment to reflect the new method of calling scripts.

 example/sshsentinel.conf.in | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit e27ad62d31ae65079479f4aff02bb21b540d7e65
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 19:10:08 2010 +0000

    Added Dependencies section.

 README | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 43676284505cdf54e33b39dbf860e9e71709bbf4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 19:08:09 2010 +0000

    Updated to accomodate for new directories.

 Makefile.boot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58f98ac30e49cf817bc2a040ed275840bf54811c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 19:07:20 2010 +0000

    Adjusted man page sections.

 example/sshsentinel.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 36966ef9cbeabc18418f25e1fe3c8964a5e52b47
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 18:48:29 2010 +0000

    Updated comment.

 example/sshsentinel.conf.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 127d42f2484a83d7c29bc56af3b7162c4543b9c5
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 18:43:50 2010 +0000

    Improved format.

 example/sshsentinel.conf.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 304b1938c4a7ccf8712de5910e0871735db2fd15
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 18:41:44 2010 +0000

    Added checks for pthread_* functions. Use predefined checks for some
    functions. Prefix is output at the end of the configure script.

 configure.ac | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ff86023d3f5287a157d2237d1bf7d748367e5af8
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 18:28:46 2010 +0000

    Added check for type pthread_mutex_t.

 configure.ac | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 99ec41ac840b0121697aadb685f6f2d39d6c1301
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 18:28:28 2010 +0000

    added #include <pthread.h>.

 src/records.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 5d58d3fab29650604ae6d74e3b646ed3e80bab27
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 17:49:22 2010 +0000

    Fixed the build by not using '$<'. gmake distcheck failed when using '$<'.

 example/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3e9e5e10202340390dea82b1c0779b2901ab5e7f
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 17:18:12 2010 +0000

    Added some text.

 README | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 130d711973eddb1768978ae4b780ca76a2e4b634
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:35:52 2010 +0000

    Upon certain error conditions, the thread will be suspenden for some time. More output if those conditions occur.

 src/follow.c | 39 ++++++++++++++++++++++++++++++++-------
 1 file changed, 32 insertions(+), 7 deletions(-)

commit 2873b6fef0e666f387d92c37ad4be0119b6312be
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:34:47 2010 +0000

    Removed the DEBUG conditional.

 src/records.c | 2 --
 1 file changed, 2 deletions(-)

commit 835b8c592c538778f132f86fa7c8abcc2963a8b4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:34:18 2010 +0000

    Removed the DEBUG conditional.

 src/records.h | 2 --
 1 file changed, 2 deletions(-)

commit 785279b3aa8031051356ef35d55eaa12b51470e9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:33:44 2010 +0000

    Improved default regexp.

 src/cfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1433d697a0bd0ff8621f59a8322e2340791e9982
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:33:09 2010 +0000

    Added cmd line options for specifying the pid file which takes precedence.

 src/main.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 50905a0527896dfc661f5775a2fadcd056af7cf3
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:28:53 2010 +0000

    An example of a stupid action script.

 example/action.sh.in | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 2f520337c58310a2d01cbcc6b05411b6dfc859b0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:28:33 2010 +0000

    Added check for sed.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 1f6a33e1cf51e906ce04800dad095deacb28fa88
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:28:11 2010 +0000

    Added new test.

 example/Makefile.am | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit c1192d9625df683a716afeb67caae1b005970679
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:21:09 2010 +0000

    Can now be used even if --enable-debug is provided.

 tests/records3.c | 5 -----
 tests/records4.c | 5 -----
 tests/records5.c | 4 ----
 3 files changed, 14 deletions(-)

commit 217d29069621d866205012380440b93e86f24894
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:20:08 2010 +0000

    Added more comments and regexps.

 example/sshsentinel.conf.in | 48 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit a46102717b716efb48ec3cccda33772cb4dc04da
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:19:18 2010 +0000

    Updated.

 BUGS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 61966bf77d68fb2556753e6ffae2b35d00f649c4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:00:57 2010 +0000

    Added myself.

 AUTHORS | 2 ++
 1 file changed, 2 insertions(+)

commit ff4bf8ebdfa7ec6d3eeb19a448cc3157296ee4c2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:00:41 2010 +0000

    rc.d start script.

 example/sshsentinel.in | 65 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

commit f36d8c426da3d570d1c714d2c4bca5d14480449d
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 12:00:04 2010 +0000

    SMF Manifest for Solaris

 example/sshsentinel.xml.in | 59 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit d7bebea5fa2f537ba42d90f6b33f98dac2b0fa71
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 11:59:33 2010 +0000

    Moved to sshsentinel.conf.in

 example/sshsentinel.conf | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit 0b7cf488584a02ac1f9aa889db8b3e27bdc55d5c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 11:59:06 2010 +0000

    Added new test.

 tests/Makefile.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7c4365ac67e40c4f313ed5dd2d7bf66da4a36113
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 11:27:47 2010 +0000

    Move the generic installation instructions.

 INSTALL => INSTALL.generic | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 2610c8e52f9bb530f3d0760a5280882e0583bda0
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 11:09:54 2010 +0000

    Added forgotten signal HUP to the ignored signals.

 src/sighandler.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 46e43d9bf870d125ee94966c34c2b79c5921f205
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 10:21:29 2010 +0000

    Test for checking the record_maintenance() function.

 tests/records7.c | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

commit 0af8353e5b9faa413911bea3df3bcebd6eaf43c4
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 10:10:24 2010 +0000

    Fixed error which made maintenance loose one record at the end. Added
    additional debug output to show what's going on during maintenance.

 src/records.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit c3ab70162dc3b14a69ca1aa05279c4145ba60e9a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 08:39:04 2010 +0000

    When in debug mode, it shows which versions (reentrant/non-reentrant) of
    certain functions are used using #warning

 src/output.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6ee2cb0e28b972ff8e43678fd02c1203d3ec058c
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 08:14:12 2010 +0000

    Signal handlers do now store upon entry the errno and reset to the stored value
    upon exit.

 src/sighandler.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit 296b90905bfa5fb85fbce12b75db57a8f48762e2
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Mon Jun 14 06:16:54 2010 +0000

    sshsentinel will be installed in sbin.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f50813a7eda22c6c602d726026c1b4911d9b55a
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Sun Jun 13 20:53:54 2010 +0000

    First corner stone of sshsentinel.

 Makefile.am              |   3 +-
 Makefile.boot            |   7 +-
 configure.ac             |  80 +++++++-
 example/Makefile.am      |   4 +
 example/sshsentinel.conf |  28 +++
 src/Makefile.am          |  11 +-
 src/cfg.c                | 227 +++++++++++++++++++++++
 src/cfg.h                |  41 +++++
 src/follow.c             | 121 +++++++++----
 src/follow.h             |  26 ++-
 src/globals.h            |  29 +++
 src/main.c               | 213 +++++++++++++++++++++-
 src/output.c             | 179 ++++++++++++++++++
 src/output.h             |  44 +++++
 src/records.c            | 462 +++++++++++++++++++++++++++++++++++++++++++++++
 src/records.h            |  79 ++++++++
 src/regex.c              | 123 +++++++++++++
 src/regex.h              |  27 +++
 src/sighandler.c         | 321 ++++++++++++++++++++++++++++++++
 src/sighandler.h         |  26 +++
 src/threads.c            | 195 ++++++++++++++++++++
 src/threads.h            |  27 +++
 tests/Makefile.am        |  22 +++
 tests/records1.c         |  43 +++++
 tests/records2.c         |  54 ++++++
 tests/records3.c         |  75 ++++++++
 tests/records4.c         |  93 ++++++++++
 tests/records5.c         | 127 +++++++++++++
 tests/records6.c         | 170 +++++++++++++++++
 29 files changed, 2805 insertions(+), 52 deletions(-)

commit 6756e1e760fe6307d36d93291ea7b70012defcf9
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 10 19:55:36 2010 +0000

    No, no backup files.

 Makefile.boot~ | 18 ------------------
 1 file changed, 18 deletions(-)

commit 6508369609e27f8217d86adbd0428a32d4131e3b
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 10 19:55:10 2010 +0000

    Basic build environment set up.

 AUTHORS         |   1 +
 COPYING         | 674 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 ChangeLog       |   0
 INSTALL         | 365 ++++++++++++++++++++++++++++++
 Makefile.am     |   2 +
 Makefile.boot   |  21 ++
 Makefile.boot~  |  18 ++
 NEWS            |   1 +
 README          |   1 +
 configure.ac    |  27 +++
 src/Makefile.am |   4 +
 src/follow.c    | 117 ++++++++++
 src/follow.h    |  11 +
 src/main.c      |  12 +
 14 files changed, 1254 insertions(+)

commit 66d02cba376e825fd10235fec4fc4b4f5bc75365
Author: Rafael Ostertag <rafi@guengel.ch>
Date:   Thu Jun 10 17:14:12 2010 +0000

    Directory for the ssh sentinel.
